# Uses of Interface
org.springframework.transaction.support.TransactionOperations

Packages that use TransactionOperations
Package
Description
org.springframework.transaction.support
Support classes for the org.springframework.transaction package.

## Uses of TransactionOperations in org.springframework.transaction.support

Classes in org.springframework.transaction.support that implement TransactionOperations
Modifier and Type
Class
Description
`class`
`TransactionTemplate`
Template class that simplifies programmatic transaction demarcation and transaction exception handling.
Methods in org.springframework.transaction.support that return TransactionOperations
Modifier and Type
Method
Description
`static TransactionOperations`
TransactionOperations.`withoutTransaction()`
Return an implementation of the `TransactionOperations` interface which executes a given `TransactionCallback` without an actual transaction.